﻿/* document Browswer Styles*/
.document-browser
{
    border: 1px #ddd solid;
    background: #fff;
    width: 80%;
    margin: 30px auto 0 auto;
}

.document-browser-heading
{
    background-color: #ddd;
    padding: 10px 15px;
}

.document-browser-title
{
    font-size: 14pt;
}

.document-browser-body
{
    padding: 15px;
}

.document-browser-folders
{
    max-height: 250px;
}

.document-browser-results
{
}

/* single select style */
.document-browser-selection img
{
    width: 100%; height: auto;
}

/* multi select style */
.document-browser-multi .document-browser-selection img
{
    height: 50px; width: auto; margin: 0 5px 5px 0;
}

.document-browser-files
{
    min-height: 400px;
}

.document-browser-upload
{
    min-height: 400px;
}

.k-filebrowser .k-upload .k-upload-status {
    display: inline !important;
}


.document-browser-footer
{
    padding: 0 15px 15px 15px;
}

.document-browser-commands > button:not(:last-child)
{
    margin-right: 15px;
}


.document-browser .csc-helplink > i {
    line-height: 24px;
}

.document-browser .csc-help-wrapper {
    padding-left: 10px;
}



/* Kendo cleanup */
.document-browser .k-filebrowser .k-tiles-arrange .k-dropdown {
    width: 7em;
}

.document-browser .k-listview-item {
    font-size: .85em;
}

.document-browser .k-filemanager-listview .k-listview-item {
    width: 320px;
    height: 75px;
    float: left;
    text-align: left;
}

.document-browser .k-filemanager-listview .k-file-preview {
    display: inline;
    overflow: hidden;
    /*height: 60px;
    width: 60px;*/
    float: left;
}

.document-browser .k-filemanager-listview .k-file-image {
    max-height: unset;
}

.document-browser .k-filemanager-listview .k-file-name {
    margin-top: 0px;
    padding-left: 8px;
    text-align: left;
    white-space: normal;
    overflow-wrap: break-word;
}

.document-browser .k-filemanager-listview .k-file-size {
    display: inline-block;
    margin-top: 8px;
    padding-left: 8px;
}

.document-browser .k-filebrowser .k-filemanager-listview {
    height: unset;
    max-height: 65vh;
}

.k-filebrowser .k-upload-files {
    display: inline !important;
}
.k-filebrowser .k-file{
    width: 100% !important;
    height: 100% !important;
}

.document-browser .k-state-selected {
    color: unset;
    background-color: #d2e0ff;
}